# Opstarten van IntelliJ IDEA
(als je voorgaande stappen goed hebt gedaan, is Windows gestart en zie je het blauwe scherm)
- start IntelliJ IDEA op (via desktop icoon of via het startmemu) 
- selecteer: “Open project”
- Selecteer op de U schijf de map “NightSky”
- Je kunt beginnen...

# IP toets: De sterrenhemel
Voor deze toets ga je applicatie bouwen die gegevens kan tonen over de sterren aan onze nachtelijke hemel.
Van elke ster houden we een aantal gegevens bij. Let op, dit programma is een simulatie en komt dus niet overeen met de werkelijkheid.

Als de gebruiker de applicatie opstart wordt er een menu getoond. Het menu toont de volgende opties en functionaliteit:

![](resources/menu.png)

Als de gebruiker een andere optie kiest dan de opties uit het menu, zal er een foutmelding worden getoond en kan de gebruiker opnieuw een poging doen.

![](resources/menuError.png)

Let op: Het aantal sterren zal in het begin 0 (nul) zijn. Nadat je menuoptie 1 hebt gekozen en je succesvol 
gegevens van de sterren hebt ingelezen zou het aantal overeen moeten komen met het aantal sterren dat in de CSV file 
staat.
<br><br><br>

**Optie 1: Read stars from stars.csv**

De applicatie zal het bestand `stars.csv` inlezen en alle sterren toevoegen die genoemd zijn in het bestand. Zorg bij het 
lezen dat de eerste regel van het bestand overgeslagen wordt. Denk ook aan het configureren van het juiste CSV seperator symbool.

![](resources/loadStars.png)
<br><br><br>

**Optie 2: Print all stars**</br>
Als deze optie gekozen wordt, wordt de naam, distance en luminosity van alle sterren op het scherm geprint (zie afbeelding).

![](resources/printStarsCropped.png)
<br>
*Let op: dit plaatje is afgekapt*

<br><br>

**Optie 3: Find the brightest star**</br>
Als deze optie gekozen wordt, wordt de naam van de ster die vanaf de aarde gezien het meest helder is getoond. De helderheid kan als volgt berekend worden: `luminosity / distance.` (luminosity gedeeld door de distance).

![](resources/brightestStar.png)
<br><br>


**Optie 4: Show the night sky**</br>
Teken in het scherm alle sterren. Gebruik voor elke ster een cirkel. Gebruik de volgende gegevens van iedere ster:


| Item   | Regels                                                                                                                                                                             |
|--------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| X-positie op het scherm  | Gebruik de x waarde van de ster.                                                                                                                                                    |
| Y-positie op het scherm  | Gebruik de y waarde van de ster                                                                                                                                                    |
| Radius   | De helderheid van de ster, hetzelfde als in de optie 3 (Dit is te berekenen met de volgende formule: luminosity/distance). Deze waarde moet een integer zijn.                                    |
| Color    | De kleur wordt gebaseerd op de direction van de ster. Als hij Towards Us(TU) beweegt: blauw, bij STill(ST):geel en bij Moving Away (MA): rood.|
| Name     | Naam van de ster. Plaats deze onder de ster en links uitgelijnd. Gebruikt font grootte 18 en de standaard kleur groen.|


![Applicatie menu](resources/nightsky.png)
<br><br>


**Optie 0: Exit** </br>
Als je deze optie kiest moet het programma worden afgesloten.
<br><br>


**Een aantal tips om te beginnen**
- Het belangrijkste: Lees de opdracht goed!
- Begin met het structureren van je programma. Bijvoorbeeld door code commentaar te typen, zoals je geleerd bij dit vak.
- Pas de geleerde regels toe over goede leesbare code. Denk bijvoorbeeld aan goede variabele-namen en gebruik methodes op plekken waar je denkt dat ze nodig zijn.
- Begin klein met een klein probleem dat je kunt oplossen.
- Start je programma vaak om te kijken of het werkt! Niet alleen aan het einde.
- De CSV file kan worden geopend door gewoon ```new CsvReader(“stars.csv”);```. Er is geen additioneel pad of verwijzing naar een map o.i.d. nodig.
- Mocht je vastzitten. Probeer een workaround te bedenken. Bijvoorbeeld: Als je niet weet hoe je het CSV bestand moeten inlezen maak dan handmatig wat sterren aan.

Veel succes
